ruby-berkshelf-api-client_2.0.2-1_all.deb


Advertisement

Description

ruby-berkshelf-api-client - ruby library for communicating with a Berkshelf API server

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-berkshelf-api-client
Package version 2.0.2
Package release 1
Package architecture all
Package type deb
Installed size 32 B
Download size 5.03 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-berkshelf-api-client_2.0.2-1_all.deb 2.0.2 all Debian Main
ruby-berkshelf-api-client - - -

Requires

Name Value
ruby -
ruby-faraday >= 0.9.1
ruby-httpclient >= 2.7.0
ruby-interpreter -
ruby-ridley >= 4.4

Download

Type URL
Binary Package ruby-berkshelf-api-client_2.0.2-1_all.deb
Source Package ruby-berkshelf-api-client

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-berkshelf-api-client deb package:
    # sudo apt-get install ruby-berkshelf-api-client

Files

Path
/usr/lib/ruby/vendor_ruby/berkshelf/api-client.rb
/usr/lib/ruby/vendor_ruby/berkshelf/api_client.rb
/usr/lib/ruby/vendor_ruby/berkshelf/api_client/chef_server_connection.rb
/usr/lib/ruby/vendor_ruby/berkshelf/api_client/connection.rb
/usr/lib/ruby/vendor_ruby/berkshelf/api_client/errors.rb
/usr/lib/ruby/vendor_ruby/berkshelf/api_client/remote_cookbook.rb
/usr/lib/ruby/vendor_ruby/berkshelf/api_client/version.rb
/usr/share/doc/ruby-berkshelf-api-client/README.md
/usr/share/doc/ruby-berkshelf-api-client/changelog.Debian.gz
/usr/share/doc/ruby-berkshelf-api-client/copyright
/usr/share/rubygems-integration/all/specifications/berkshelf-api-client-2.0.2.gemspec

Changelog

2016-03-24 - Hleb Valoshka <375gnu@gmail.com>
ruby-berkshelf-api-client (2.0.2-1) unstable; urgency=medium
* Imported Upstream version 2.0.2
* Add patches:
- Relax dependencies in gemfile
- Don't require rubygems, bundler and spork in tests
- Update rspec syntax with transpec
* d/control: add ruby-ridley and berkshelf-api to dependencies
* d/rules:
- Don't ignore tests failures
- Check gems dependencies during build process
2016-03-10 - Hleb Valoshka <375gnu@gmail.com>
ruby-berkshelf-api-client (2.0.1-1) unstable; urgency=medium
* Initial release (Closes: #816849)

See Also

Package Description
ruby-bert_1.1.6-1+b5_amd64.deb BERT serializiation for Ruby
ruby-bindata_2.3.5-1_all.deb declarative way to read and write binary file formats
ruby-bindex_0.5.0-1_amd64.deb Bindings for your Ruby exceptions
ruby-binding-of-caller_0.7.2+debian1-3_all.deb retrieve the binding of a method's caller
ruby-bio_1.5.1-1_all.deb Ruby tools for computational molecular biology
ruby-blankslate_3.1.3-1_all.deb Ruby library providing a class with no predefined methods
ruby-blockenspiel_0.5.0-3_all.deb Comprehensive implementation of Ruby DSL blocks
ruby-bluefeather_0.41-4_all.deb Extend Markdown Converter written in Ruby
ruby-bogus_0.1.6-2_all.deb library creating fakes to make isolated unit tests reliable
ruby-bootsnap_1.3.0-1_amd64.deb Boot large ruby/rails apps faster
ruby-bootstrap-form_2.7.0-1_all.deb makes it easy to style forms using Twitter Bootstrap 3+
ruby-bootstrap-sass_3.3.5.1-5.1_all.deb Twitter's Bootstrap, converted to Sass
ruby-bootstrap-switch-rails_3.3.3-1_all.deb asset gemification of the bootstrap-switch plugin
ruby-bourne_1.6.0-2_all.deb Adds test spies to mocha
ruby-brass_1.2.1-1_all.deb bare-metal Ruby assertion system standard
Advertisement
Advertisement